#include <bits/stdc++.h>
using namespace std;

bool secsort(const pair<int,int> &v1, 
              const pair<int,int> &v2) 
{ 
    return (v1.second < v2.second); 
} 


int main(int argc, char** argv) {
	cout<<fixed;
	long long N;
	long long A;
	double P;
	double optporez1,optporez2;
	double zbir=0,zbir2=0;
	vector < pair <long long,double> > vect;
	cin>>N;
	for (long long i=0;i<N;i++)
	{
		cin>>A>>P;
		vect.push_back({A,P});
		
	}
	sort(vect.begin(),vect.end(),secsort);
	optporez2=vect[N/2].second;
	optporez1=vect[0].second;
	for (long long i=N/2;i<N;i++)
	{
		zbir+=vect[i].first;
	}
	zbir=(zbir*optporez2)/100.0;
	for (long long i=0;i<N/2;i++)
	{
		zbir2+=vect[i].first;
	}
	zbir2=(zbir2*optporez1)/100.0;
	if (zbir>zbir2) cout<<setprecision(4)<<zbir;
	else cout<<setprecision(4)<<zbir2;
	return 0;
}